Index: trunk/tests/DBSessionHandlerTest.php
===================================================================
--- trunk/tests/DBSessionHandlerTest.php	(revision 815)
+++ trunk/tests/DBSessionHandlerTest.php	(revision 1)
@@ -1,37 +1,21 @@
 <?php
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
- *
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
- *
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- *
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/DBSessionHandler.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
+ * PHPUnit test case for DBSessionHandler
+ * 
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
+ * 
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class DBSessionHandlerTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class DBSessionHandlerTest extends PHPUnit_TestCase {
 
     var $DBSessionHandler;
+
+    function DBSessionHandlerTest($name)
+    {
+        $this->PHPUnit_TestCase($name);
+    }
 
     function setUp()
@@ -40,7 +24,13 @@
         require_once '../lib/DBSessionHandler.inc.php';
         session_write_close();
-        $this->DBSessionHandler = new DBSessionHandler($app->db, array(
-            'db_table' => 'session_tbl',
-            'create_table' => true,
+        $this->DBSessionHandler = new DBSessionHandler($app->db);
+        $this->DBSessionHandler = new DBSessionHandler(null, array(
+            'db_server' => $app->getParam('db_server'),
+            'db_name' => $app->getParam('db_name'),
+            'db_user' => $app->getParam('db_user'),
+            'db_pass' => $app->getParam('db_pass'),
+            'db_always_debug' => $app->getParam('db_always_debug'),
+            'db_debug' => $app->getParam('db_debug'),
+            'db_die_on_failure' => $app->getParam('db_die_on_failure'),
         ));
     }
@@ -68,7 +58,4 @@
     function test_DBsessionwrite()
     {
-        if (!isset($_SESSION)) {
-            $_SESSION = array();
-        }
         $this->DBSessionHandler->DBsessionwrite(session_id(), serialize($_SESSION));
     }
@@ -85,2 +72,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('DBSessionHandlerTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/FormValidatorTest.php
===================================================================
--- trunk/tests/FormValidatorTest.php	(revision 815)
+++ trunk/tests/FormValidatorTest.php	(revision 1)
@@ -1,37 +1,21 @@
 <?php
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
- *
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
- *
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- *
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/FormValidator.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
+ * PHPUnit test case for FormValidator
+ * 
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
+ * 
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class FormValidatorTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class FormValidatorTest extends PHPUnit_TestCase {
 
     var $FormValidator;
+
+    function FormValidatorTest($name)
+    {
+        $this->PHPUnit_TestCase($name);
+    }
 
     function setUp()
@@ -39,5 +23,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/FormValidator.inc.php';
-        $this->FormValidator = new FormValidator();
+        $this->FormValidator =& new FormValidator(PARAM);
     }
 
@@ -49,13 +33,10 @@
     function test_geterrorlist()
     {
-        $this->FormValidator->addError('some_field', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
-        $err_list = $this->FormValidator->geterrorlist();
-        $this->assertTrue($err_list[0]['message'] === _("This is an error."));
+        $this->FormValidator->geterrorlist();
     }
 
     function test_adderror()
     {
-        $this->FormValidator->addError('some_field', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
-        $this->assertTrue($this->FormValidator->errors[0]['message'] === _("This is an error."));
+        $this->FormValidator->addError('name', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
     }
 
@@ -64,12 +45,9 @@
         $result = $this->FormValidator->anyerrors();
         $this->assertFalse($result);
-        $this->FormValidator->addError('some_field', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
-        $result = $this->FormValidator->anyerrors();
-        $this->assertTrue($result);
     }
 
     function test_reseterrorlist()
     {
-        $this->FormValidator->addError('some_field', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
+        $this->FormValidator->addError('name', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
         $this->FormValidator->reseterrorlist();
         $this->assertFalse($this->FormValidator->anyerrors());
@@ -78,5 +56,5 @@
     function test_printerrormessages()
     {
-        $this->FormValidator->addError('some_field', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
+        $this->FormValidator->addError('name', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
         ob_start();
         $this->FormValidator->printerrormessages();
@@ -87,7 +65,7 @@
     function test_err()
     {
-        $this->FormValidator->addError('some_field', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
+        $this->FormValidator->addError('name', _("This is an error."), MSG_ERR, __FILE__, __LINE__);
         ob_start();
-        $this->FormValidator->err('some_field', 'printthis');
+        $this->FormValidator->err('name', 'printthis');
         $result = ob_get_clean();
         $this->assertContains('printthis', $result);
@@ -96,195 +74,81 @@
     function test_notempty()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'a non empty string';
-        $this->FormValidator->notEmpty('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = '';
-        $this->FormValidator->isempty('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->isEmpty('name', _("Error message"));
     }
 
     function test_isempty()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'a non empty string';
-        $this->FormValidator->isempty('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = '';
-        $this->FormValidator->isempty('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->isempty('name', _("Error message"));
     }
 
     function test_isstring()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'this is a string';
-        $this->FormValidator->isstring('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 12.3248; // not a string.
-        $this->FormValidator->isstring('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->isstring('name', _("Error message"));
     }
 
     function test_isnumber()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '1234.453';
-        $this->FormValidator->isnumber('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'not a number';
-        $this->FormValidator->isnumber('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->isnumber('name', _("Error message"));
     }
 
     function test_isinteger()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '1234';
-        $this->FormValidator->isinteger('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = '1234.1';
-        $this->FormValidator->isinteger('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->isinteger('name', _("Error message"));
     }
 
     function test_isfloat()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '123.1234';
-        $this->FormValidator->isfloat('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'some falsity';
-        $this->FormValidator->isfloat('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->isfloat('name', _("Error message"));
     }
 
     function test_isarray()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = array('asdf', 123);
-        $this->FormValidator->isarray('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'some falsity';
-        $this->FormValidator->isarray('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->isarray('name', _("Error message"));
     }
 
     function test_checkregex()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '1234abcd';
-        $this->FormValidator->checkregex('some_field', '/\d{4}[a-d]{4}/', true, _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'no digits here';
-        $this->FormValidator->checkregex('some_field', '/\d/', false, _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'oops, a d1git';
-        $this->FormValidator->checkregex('some_field', '/\d/', false, _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $result = $this->FormValidator->checkregex('name', '/\w/', true, _("Error message"));
     }
 
     function test_stringlength()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'some truth';
-        $this->FormValidator->stringLength('some_field', 0, 255, _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'some falsity';
-        $this->FormValidator->stringLength('some_field', 0, 4, _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->stringLength('name', 0, 255, _("Error message"));
     }
 
     function test_numericrange()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '12';
-        $this->FormValidator->numericrange('some_field', 3, 22, _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = '12';
-        $this->FormValidator->numericrange('some_field', 300, 2200, _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->numericrange('name', 0, 255, _("Error message"));
     }
 
     function test_validateemail()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'Quinn the Kook <quinn@strangecode.com>';
-        $this->FormValidator->validateemail('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'quinn@kook.com.';
-        $this->FormValidator->validateemail('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->validateemail('name');
     }
 
     function test_validatephone()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '+1 (530) 555-1212';
-        $this->FormValidator->validatephone('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'd321/654*9875 ';
-        $this->FormValidator->validatephone('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->validatephone('name');
     }
 
     function test_validatestrdate()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = 'next tuesday';
-        $this->FormValidator->validatestrdate('some_field', _("Error message"));
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = 'in a galaxy far far away';
-        $this->FormValidator->validatestrdate('some_field', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->validatestrdate('name');
     }
 
     function test_validateccnumber()
     {
-        // This should not generate any error.
-        $_REQUEST['some_field'] = '2323-2005-7766-3554';
-        $this->FormValidator->validateccnumber('some_field', null);
-        $this->assertFalse($this->FormValidator->anyerrors());
-
-        // This one is an error!
-        $_REQUEST['some_field'] = '1234 1234 1234 1234';
-        $this->FormValidator->validateccnumber('some_field', null);
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->validateccnumber('name');
     }
 
-    function test_fileuploaded()
+    function test_validatefile()
     {
-        // This one is an error!
-        $this->FormValidator->fileUploaded('this-file-does-not-exist', _("Error message"));
-        $this->assertTrue($this->FormValidator->anyerrors());
+        $this->FormValidator->validatefile('name');
     }
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('FormValidatorTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/GoogleAPITest.php
===================================================================
--- trunk/tests/GoogleAPITest.php	(revision 1)
+++ trunk/tests/GoogleAPITest.php	(revision 1)
@@ -0,0 +1,76 @@
+<?php
+/// FIXME: Tests not implemented.
+return;
+
+/**
+ * PHPUnit test case for GoogleAPI
+ * 
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
+ * 
+ * Created with PHPUnit_Skeleton on 2005-08-09
+ */
+require_once 'PHPUnit.php';
+class GoogleAPITest extends PHPUnit_TestCase {
+
+    var $GoogleAPI;
+
+    function GoogleAPITest($name)
+    {
+        $this->PHPUnit_TestCase($name);
+    }
+
+    function setUp()
+    {
+        require dirname(__FILE__) . '/_config.inc.php';
+        require_once '../lib/GoogleAPI.inc.php';
+        $this->GoogleAPI =& new GoogleAPI(PARAM);
+    }
+
+    function tearDown()
+    {
+        unset($this->GoogleAPI);
+    }
+
+    function test_getcachedpage()
+    {
+        $result = $this->GoogleAPI->getcachedpage(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getspellingsuggestion()
+    {
+        $result = $this->GoogleAPI->getspellingsuggestion(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_search()
+    {
+        $result = $this->GoogleAPI->search(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test__performapicall()
+    {
+        $result = $this->GoogleAPI->_performapicall(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getfault()
+    {
+        $result = $this->GoogleAPI->getfault(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+}
+// Running the test.
+$suite = new PHPUnit_TestSuite('GoogleAPITest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/ImageThumbTest.php
===================================================================
--- trunk/tests/ImageThumbTest.php	(revision 815)
+++ trunk/tests/ImageThumbTest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for ImageThumb
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/ImageThumb.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class ImageThumbTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class ImageThumbTest extends PHPUnit_TestCase {
 
     var $ImageThumb;
@@ -40,5 +19,5 @@
     function ImageThumbTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -119,2 +98,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('ImageThumbTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/MCVETest.php
===================================================================
--- trunk/tests/MCVETest.php	(revision 815)
+++ trunk/tests/MCVETest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for MCVE
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/MCVE.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class MCVETest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class MCVETest extends PHPUnit_TestCase {
 
     var $MCVE;
@@ -40,5 +19,5 @@
     function MCVETest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -91,2 +70,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('MCVETest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/NavTest.php
===================================================================
--- trunk/tests/NavTest.php	(revision 815)
+++ trunk/tests/NavTest.php	(revision 1)
@@ -4,41 +4,20 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for Nav
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/Navigation.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
+require_once 'PHPUnit.php';
+class NavTest extends PHPUnit_TestCase {
 
-class NavigationTest extends PHPUnit_Framework_TestCase {
+    var $Nav;
 
-    var $Navigation;
-
-    function NavigationTest($name)
+    function NavTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -46,16 +25,16 @@
     {
         require dirname(__FILE__) . '/_config.inc.php';
-        require_once '../lib/Navigation.inc.php';
-        $this->Navigation =& new Navigation(PARAM);
+        require_once '../lib/Nav.inc.php';
+        $this->Nav =& new Nav(PARAM);
     }
 
     function tearDown()
     {
-        unset($this->Navigation);
+        unset($this->Nav);
     }
 
     function test_addpage()
     {
-        $result = $this->Navigation->addpage(PARAM);
+        $result = $this->Nav->addpage(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -64,5 +43,5 @@
     function test_setfeature()
     {
-        $result = $this->Navigation->setfeature(PARAM);
+        $result = $this->Nav->setfeature(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -71,5 +50,5 @@
     function test_clearpath()
     {
-        $result = $this->Navigation->clearpath(PARAM);
+        $result = $this->Nav->clearpath(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -78,5 +57,5 @@
     function test_getfeature()
     {
-        $result = $this->Navigation->getfeature(PARAM);
+        $result = $this->Nav->getfeature(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -85,5 +64,5 @@
     function test_gettitle()
     {
-        $result = $this->Navigation->gettitle(PARAM);
+        $result = $this->Nav->gettitle(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -92,5 +71,5 @@
     function test_printtitle()
     {
-        $result = $this->Navigation->printtitle(PARAM);
+        $result = $this->Nav->printtitle(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -99,5 +78,5 @@
     function test_getpath()
     {
-        $result = $this->Navigation->getpath(PARAM);
+        $result = $this->Nav->getpath(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -106,5 +85,5 @@
     function test_printpath()
     {
-        $result = $this->Navigation->printpath(PARAM);
+        $result = $this->Nav->printpath(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -113,5 +92,5 @@
     function test_getbreadcrumbs()
     {
-        $result = $this->Navigation->getbreadcrumbs(PARAM);
+        $result = $this->Nav->getbreadcrumbs(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -120,5 +99,5 @@
     function test_printbreadcrumbs()
     {
-        $result = $this->Navigation->printbreadcrumbs(PARAM);
+        $result = $this->Nav->printbreadcrumbs(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -127,5 +106,5 @@
     function test_currentpage()
     {
-        $result = $this->Navigation->currentpage(PARAM);
+        $result = $this->Nav->currentpage(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -133,2 +112,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('NavTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
